/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    './src/**.vue',
    './src/components/**.vue'
  ],
  theme: {
    extend: {
      spacing: {
        s: 'var(--spacing-s) !important',
        m: 'var(--spacing-m) !important',
        l: 'var(--spacing-l) !important',
        xl: 'var(--spacing-xl) !important',
        xxl: 'var(--spacing-xxl) !important',
        xxxl: 'var(--spacing-xxxl) !important',

        // others
        1: '.1rem',
        2: '.2rem',
        3: '.3rem',
        4: '.4rem',
        5: '.5rem',
        6: '.6rem',
        7: '.7rem',
        8: '.8rem',
        9: '.9rem',
        10: '1rem',
        15: '1.5rem',
        20: '2rem',
        30: '3rem',
        40: '4rem',
        50: '5rem',
        60: '6rem',
        80: '8rem',
        90: '9rem',
        100: '10rem',
        110: '11rem',
        120: '12rem',
        130: '13rem',
        140: '14rem',
        150: '15rem',
        160: '16rem',
        180: '18rem',
        190: '19rem',
        200: '20rem',
      },
      padding: {
        s: 'var(--spacing-s) !important',
        m: 'var(--spacing-m) !important',
        l: 'var(--spacing-l) !important',
        xl: 'var(--spacing-xl) !important',
        xxl: 'var(--spacing-xxl) !important',
        xxxl: 'var(--spacing-xxxl) !important',
      },
      aspectRatio: {
        '4/3': '4 / 3',
        '3/2': '3 / 2',
        '1/1': '1 / 1',
        '4/3': '4 / 3',
        '3/4': '3 / 4',
        '2/3': '2 / 3',
        '2/1': '2 / 1',
        '16/9': '16 / 9',
      },
      screens: {
        's': '0px',
        'm': '768px',
        'l': '1024px',
        'xl': '1280px',
        'xxl': '1440px',
        'max-m': {'max': '768px'},
        'max-l': {'max': '1024px'},
        'max-xl': {'max': '1280px'},
        'max-xxl': {'max': '1440px'},
      },
      backgroundColor:{
        'primary': 'var(--color-primary)',
        'secondary': 'var(--color-secondary)',
        'light': 'var(--color-light)',
        'light-mid': 'var(--color-light-mid)',
        'light-light': 'var(--color-light-light)',
        'dark': 'var(--color-dark)',
        'dark-mid': 'var(--color-dark-mid)',
        'dark-light': 'var(--color-dark-light)',
        'dark-soft': 'var(--color-dark-soft)',
        'danger': 'var(--color-danger)',
        'success': 'var(--color-success)',
        'transparent': 'transparent',
        
        // others
        'green': 'var(--color-green)',
        'skin': 'var(--color-skin)',
        'lightblue': 'var(--color-lightblue)',
        'lightskin': 'var(--color-lightskin)',
      },
      fontFamily:{
        'teodor': 'Teodor',
        'fk': 'FK Display'
      },
      fontSize: {
        'primary': 'var(--font-primary)',
        'secondary': 'var(--font-secondary)',
      },
      colors: {
        'primary': 'var(--color-primary)',
        'secondary': 'var(--color-secondary)',
        'light': 'var(--color-light)',
        'light-mid': 'var(--color-light-mid)',
        'light-soft': 'var(--color-light-soft)',
        'dark': 'var(--color-dark)',
        'dark-mid': 'var(--color-dark-mid)',
        'dark-soft': 'var(--color-dark-soft)',
        'danger': 'var(--color-danger)',
        'success': 'var(--color-success)',
        'transparent': 'transparent',
        
        // others
        'green': 'var(--color-green)',
        'skin': 'var(--color-skin)',
        'lightblue': 'var(--color-lightblue)',
        'lightskin': 'var(--color-lightskin)',
      },
      borderRadius:{
        50: '5rem',
      }
    },
  },
  plugins: [],
}
